com.fasterxml.jackson.dataformat.avro.deser

## Class AvroUntypedDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer
      - - com.fasterxml.jackson.dataformat.avro.deser.AvroUntypedDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.NullValueProvider, com.fasterxml.jackson.databind.deser.ResolvableDeserializer, Serializable

      public class AvroUntypedDeserializer
      extends com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer
      implements com.fasterxml.jackson.databind.deser.ResolvableDeserializer

  Deserializer for handling when we have no target type, just schema type. Normally, the `UntypedObjectDeserializer` doesn't look for native type information when handling scalar values, but Avro sometimes includes type information in the schema for scalar values; This subclass checks for the presence of valid type information and calls out to the type deserializer even for scalar values. The same goes for map keys.
  Since:
    2.9
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer

      `com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer.Vanilla`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.jsontype.TypeDeserializer` | `_typeDeserializer`
    `protected com.fasterxml.jackson.databind.JavaType` | `_typeObject`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer

      `_listDeserializer, _listType, _mapDeserializer, _mapType, _nonMerging, _numberDeserializer, _stringDeserializer, NO_OBJECTS`

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroUntypedDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `Object` | `deserializeWithType(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
    `protected Object` | `mapObject(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)` Method called to map a JSON Object into a Java value.
    `void` | `resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer

      `_clearIfStdImpl, _findCustomDeser, createContextual, deserialize, isCachable, mapArray, mapArray, mapArrayToArray, mapObject, supportsUpdate`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _typeObject

          protected com.fasterxml.jackson.databind.JavaType _typeObject

    - #### _typeDeserializer

          protected com.fasterxml.jackson.databind.jsontype.TypeDeserializer _typeDeserializer

  - ### Constructor Detail

    - #### AvroUntypedDeserializer

          public AvroUntypedDeserializer()

  - ### Method Detail

    - #### resolve

          public void resolve(com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `resolve` in interface `com.fasterxml.jackson.databind.deser.ResolvableDeserializer`
      Overrides:
        `resolve` in class `com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### deserialize

          public Object deserialize(com.fasterxml.jackson.core.JsonParser p,
                                    com.fasterxml.jackson.databind.DeserializationContext ctxt)
                             throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer`
      Throws:
        `IOException`

    - #### deserializeWithType

          public Object deserializeWithType(com.fasterxml.jackson.core.JsonParser p,
                                            com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                            com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                                     throws IOException

      Overrides:
        `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer`
      Throws:
        `IOException`

    - #### mapObject

          protected Object mapObject(com.fasterxml.jackson.core.JsonParser p,
                                     com.fasterxml.jackson.databind.DeserializationContext ctxt)
                              throws IOException

      Method called to map a JSON Object into a Java value.
      Overrides:
        `mapObject` in class `com.fasterxml.jackson.databind.deser.std.UntypedObjectDeserializer`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.